CVE-2015-1426

Priority
Low
Description
Puppet Labs Facter 1.6.0 through 2.4.0 allows local users to obtains
sensitive Amazon EC2 IAM instance metadata by reading a fact for an Amazon
EC2 node.
References
Bugs
Package
Upstream:released (2.4.1)
Ubuntu 17.10 (Artful Aardvark):needed
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu Core 15.04:DNE
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 17.04 (Zesty Zapus):needed
Patches:
Upstream:https://github.com/puppetlabs/facter/commit/e546bc546e7fb23ad6b68fcf2059452df4d320dd
More Information

Updated: 2017-08-11 23:17:49 UTC (commit 13081)